%define plugin	ttxtsubs
%define rel	10

Summary:	VDR plugin: Teletext subtitles
Name:		vdr-plugin-%plugin
Epoch:		1
Version:	0.3.0
Release:	%mkrel %rel
Group:		Video/Utilities
License:	GPLv2+
URL:		http://projects.vdr-developer.org/projects/plg-ttxtsubs
Source:		vdr-%plugin-%version.tar.gz
BuildRequires:	pkgconfig(vdr) >= 1.7.6
Requires:	vdr-abi = %vdr_abi

%description
This plugin implements displaying, recording and replaying teletext
based subtitles using the on screen display.

%prep
%setup -q -n %plugin-%version
%vdr_plugin_prep

%build
export CPPFLAGS="-Wno-narrowing"
%vdr_plugin_build

%install
%vdr_plugin_install

%files -f %plugin.vdr
%doc README TROUBLESHOOTING HISTORY


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1:0.3.0-10.mga8
+ Revision: 1519230
- Mageia 8 Mass Rebuild

* Sun Oct 07 2018 umeabot <umeabot> 1:0.3.0-9.mga7
+ Revision: 1318369
- Mageia 7 Mass Rebuild

* Tue Feb 09 2016 umeabot <umeabot> 1:0.3.0-7.mga6
+ Revision: 951658
- Mageia 6 Mass Rebuild

* Mon Jan 05 2015 anssi <anssi> 1:0.3.0-6.mga5
+ Revision: 808505
- rebuild with new vdr-devel with cauldron-compatible macros

* Mon Nov 24 2014 anssi <anssi> 1:0.3.0-5.mga5
+ Revision: 798688
- rebuild for new VDR

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.0-4.mga5
+ Revision: 746862
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.0-3.mga5
+ Revision: 690174
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1:0.3.0-2.mga4
+ Revision: 545120
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1:0.3.0-1.mga4
+ Revision: 498820
- new version 0.3.0

* Mon Jan 14 2013 umeabot <umeabot> 1:0.2.4-4.mga3
+ Revision: 385352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 malo <malo> 1:0.2.4-3.mga3
+ Revision: 326235
- spec clean-up
- update RPM group

* Wed Mar 07 2012 anssi <anssi> 1:0.2.4-2.mga2
+ Revision: 221059
- rebuild for VDR 1.7.25

* Sat Feb 25 2012 anssi <anssi> 1:0.2.4-1.mga2
+ Revision: 214884
- new version 0.2.4, for VDR 1.7 series
- update URL

* Sat May 14 2011 anssi <anssi> 1:0.0.5-10.rre.6.mga1
+ Revision: 98601
- drop old scriptlets
- imported package vdr-plugin-ttxtsubs


* Thu Mar 04 2010 Anssi Hannula <anssi@mandriva.org> 1:0.0.5-10.rre.5mdv2010.1
+ Revision: 514149
- revert back to 0.0.5 raastinrauta edition as 0.1.0 is incompatible
  with VDR 1.6 (fixes playback of recorded teletext subtitles; reported
  by Marko on mandriva-fi.org forum)

* Sun Sep 27 2009 Anssi Hannula <anssi@mandriva.org> 0.1.0-1mdv2010.0
+ Revision: 450019
- new version by new upstream
- update URL and License
- drop Rolf Ahrenberg's raastinrauta-edition patch, applied upstream

* Tue Jul 28 2009 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.rre.4mdv2010.0
+ Revision: 401088
- rebuild for new VDR

* Fri Mar 20 2009 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.rre.3mdv2009.1
+ Revision: 359378
- rebuild for new vdr

* Mon Apr 28 2008 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.rre.2mdv2009.0
+ Revision: 197990
- rebuild for new vdr

* Sat Apr 26 2008 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.rre.1mdv2009.0
+ Revision: 197736
- raastinrauta edition
- apply new license policy
- add vdr_plugin_prep
- bump buildrequires on vdr-devel

* Fri Jan 04 2008 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.6mdv2008.1
+ Revision: 145233
- rebuild for new vdr

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Oct 29 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.5mdv2008.1
+ Revision: 103225
- rebuild for new vdr

* Sun Jul 08 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.4mdv2008.0
+ Revision: 50059
- rebuild for new vdr

* Thu Jun 21 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.3mdv2008.0
+ Revision: 42142
- rebuild for new vdr

* Sat May 05 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.2mdv2008.0
+ Revision: 22716
- rebuild for new vdr

* Fri Apr 20 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-10.kne.1mdv
+ Revision: 16314
- kermanekka edition


* Sat Jan 20 2007 Anssi Hannula <anssi@mandriva.org> 0.0.5-9.pme.1mdv2007.0
+ Revision: 111095
- pippurimylly edition

* Tue Dec 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-9mdv2007.1
+ Revision: 90980
- rebuild for new vdr

* Tue Oct 31 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-8mdv2007.1
+ Revision: 74095
- rebuild for new vdr
- Import vdr-plugin-ttxtsubs

* Thu Sep 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-7mdv2007.0
- rebuild for new vdr

* Thu Aug 24 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-6mdv2007.0
- stricter abi requires

* Mon Aug 07 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-5mdv2007.0
- rebuild for new vdr

* Wed Jul 26 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-4mdv2007.0
- rebuild for new vdr

* Tue Jun 20 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-3mdv2007.0
- rebuild for new vdr

* Mon Jun 05 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-2mdv2007.0
- rebuild for new vdr

* Sun Jun 04 2006 Anssi Hannula <anssi@mandriva.org> 0.0.5-1mdv2007.0
- initial Mandriva release

